## ros-lunar-swri-nodelet 2.9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swri_nodelet)

set(BUILD_DEPS 
  nodelet
  roscpp
  std_msgs
)

set(RUNTIME_DEPS ${BUILD_DEPS})

find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
catkin_package(
  CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  CFG_EXTRAS swri_nodelet-extras.cmake
)

# nodelet.cpp.in must be copied before include(...) or clean builds will fail
file(COPY nodelet.cpp.in
   DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}
)
set(swri_nodelet_PREFIX ${CATKIN_DEVEL_PREFIX})  # Allows use of nodelet.cpp.in in swri_nodelet_add_node macro for this build
include(${CATKIN_DEVEL_PREFIX}/share/${PROJECT_NAME}/cmake/swri_nodelet-extras.cmake)  # Allows use of swri_nodelet_add_node macro for this build

include_directories(include 
  ${catkin_INCLUDE_DIRS}
)

add_library(swri_nodelet_test src/test_nodelet.cpp)
target_link_libraries(swri_nodelet_test ${catkin_LIBRARIES})

swri_nodelet_add_node(test_node swri_nodelet TestNodelet)
target_link_libraries(test_node swri_nodelet_test)

if(CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    add_rostest(test/test_manager.test DEPENDENCIES swri_nodelet_test)
    add_rostest(test/test_standalone.test DEPENDENCIES swri_nodelet_test)
    add_rostest(test/test_node_wrapper.test DEPENDENCIES test_node)
endif()

install(PROGRAMS 
  nodes/nodelet
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES nodelet.cpp.in
   nodelet_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-lunar-swri-nodelet (2.9.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 23 May 2019 05:00:00 -0000

ros-lunar-swri-nodelet (2.8.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-lunar-swri-nodelet (2.7.3-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-lunar-swri-nodelet (2.7.2-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-lunar-swri-nodelet (2.7.1-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-lunar-swri-nodelet (2.7.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-lunar-swri-nodelet (2.6.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-lunar-swri-nodelet (2.5.0-1xenial) xenial; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-lunar-swri-nodelet (2.4.0-1xenial) xenial; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-lunar-swri-nodelet (2.3.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-lunar-swri-nodelet (2.2.1-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-lunar-swri-nodelet (2.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-lunar-swri-nodelet (2.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-lunar-swri-nodelet (2.0.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-lunar-swri-nodelet (1.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-lunar-swri-nodelet (1.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-lunar-swri-nodelet (1.0.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-lunar-swri-nodelet (0.3.0-1xenial) xenial; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-lunar-swri-nodelet (0.2.4-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-nodelet (0.2.3-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-lunar-swri-nodelet (0.2.2-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-lunar-swri-nodelet (0.2.1-1xenial) xenial; urgency=high

  * Add C++ and CMake macros for wrapper nodes
    Defines a C++ macro to replace the normal nodelet export wrapper that
    also creates a factory function returning a pointer to that nodelet.
    Defines a CMake macro
    swri_nodelet_add_node(NODELET_NODENAME NODELET_NAMESPACE NODELET_CLASS)
    that automatically generates the c++ code for a node wrapper with node
    name NODELET_NODENAME that wraps the nodelet and makes a CMake target
    to build the node.
  * Add tests for swri_nodelet with manager and standalone
  * Contributors: Ed Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-nodelet (0.2.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-lunar-swri-nodelet (0.1.5-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-lunar-swri-nodelet (0.1.4-1xenial) xenial; urgency=high

  * Add swri_nodelet package.
    This package simplifies launch files that can easily change between
    running nodelets in a shared manager or as standalone processes.
  * Contributors: Elliot Johnson

 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 12 May 2016 05:00:00 -0000

ros-lunar-swri-nodelet (0.1.3-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-lunar-swri-nodelet (0.1.2-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 06 Jan 2016 06:00:00 -0000

ros-lunar-swri-nodelet (0.1.1-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 17 Nov 2015 06:00:00 -0000

ros-lunar-swri-nodelet (0.1.0-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 29 Sep 2015 05:00:00 -0000

ros-lunar-swri-nodelet (0.0.14-1xenial) xenial; urgency=high

  * Include boost/make_shared.hpp
    This header is necessary in the unlikely event that the using cpp file hasn't included boost/make_shared.hpp anywhere else. Also, it's good practice to include what you use.
  * Fix include_directories order in swri_roscpp
    Include package-local header files before catkin header files
    so that source is always built against source header files, even
    if the same package exists elsewhere in the catkin tree.
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-lunar-swri-nodelet (0.0.13-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-lunar-swri-nodelet (0.0.12-1xenial) xenial; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000



=== debian/control ===
Source: ros-lunar-swri-nodelet
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-nodelet, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-rostest, ros-lunar-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-swri-nodelet
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-nodelet, ros-lunar-rosbash, ros-lunar-roscpp, ros-lunar-std-msgs
Description: This package provides a simple script to write simple launch files that can easily switch between running nodelets together or as standalone nodes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-swri-nodelet//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
